/// <reference types="react" />
export declare const FlexDateInput: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").DateInputProps & import("react").RefAttributes<HTMLInputElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const FlexTimeInput: import("@emotion/styled").StyledComponent<Omit<import("@mantine/dates").TimeInputProps, "value" | "defaultValue" | "onChange"> & {
    value?: Date | null | undefined;
    defaultValue?: Date | null | undefined;
    clearable?: boolean | undefined;
    onChange?: ((value: Date | null) => void) | undefined;
} & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
